# $Revision: 1.22 $, $Date: 2008/08/29 20:31:33 $
Summary:	Netlink library
Summary(pl.UTF-8):	Biblioteka do obsługi gniazd netlink
Name:		libnl
Version:	1.1
Release:	2
Epoch:		1
License:	LGPL v2.1
Group:		Libraries
Source0:	http://people.suug.ch/~tgr/libnl/files/%{name}-%{version}.tar.gz
# Source0-md5:	ae970ccd9144e132b68664f98e7ceeb1
Patch0:		%{name}-static.patch
Patch1:		%{name}-ULONG_MAX.patch
URL:		http://people.suug.ch/~tgr/libnl/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	linux-libc-headers >= 6:2.6.23
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libnl is a library for applications dealing with netlink socket. It
provides an easy to use interface for raw netlink message but also
netlink family specific APIs.

%description -l pl.UTF-8
libnl jest biblioteką dla aplikacji rozmawiających z gniazdem netlink.
Udostępnia łatwy w użyciu interfejs do korzystania z surowych
wiadomości netlink, a także API specyficzne dla rodziny gniazd
netlink.

%package devel
Summary:	Header files for libnl library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libnl
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description devel
Header files for libnl library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libnl.

%package static
Summary:	Static libnl library
Summary(pl.UTF-8):	Statyczna biblioteka libnl
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static libnl library.

%description static -l pl.UTF-8
Statyczna biblioteka libnl.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__aclocal}
%{__autoconf}

%configure \
	--enable-verbose-errors

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# for autodeps to work
chmod +x $RPM_BUILD_ROOT%{_libdir}/libnl.so.*.*

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog
%attr(755,root,root) %{_libdir}/libnl.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libnl.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libnl.so
%{_includedir}/netlink
%{_pkgconfigdir}/libnl-1.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libnl.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libnl.spec,v $
Revision 1.22  2008/08/29 20:31:33  glen
- llh 2.6.23 for VLAN_FLAG_REORDER_HDR

Revision 1.21  2008/05/19 07:45:46  pluto
- fix build on recent gcc, release 2.

Revision 1.20  2008-01-21 23:37:04  shadzik
- 1.1

Revision 1.19  2008-01-13 08:59:59  qboosh
- merged final 1.0 from DEVEL
- with -static patch -static is restored

Revision 1.14.2.5  2008-01-13 08:54:20  qboosh
- removed obsolete llh patch

Revision 1.14.2.4  2008-01-13 08:53:56  qboosh
- removed remnants of no longer existing -static, added Obsoletes

Revision 1.14.2.3  2008-01-13 08:52:58  qboosh
- updated to final 1.0

Revision 1.14.2.2  2007-12-16 21:11:33  qboosh
- added llh patch to avoid using obsolete <lihux/ip_mp_alg.h> header

Revision 1.14.2.1  2007-11-23 10:43:16  patrys
- pre8
- meant for llh 2.6.23
- epoch 1 to follow HEAD
- don't merge as it breaks API/ABI for existing apps

Revision 1.18  2007-12-14 14:01:35  patrys
- rel up

Revision 1.17  2007-12-14 02:03:29  patrys
- build static library

Revision 1.16  2007-11-23 10:28:52  patrys
- rel 4 to satisfy builder

Revision 1.15  2007-11-23 10:25:53  patrys
- reverted to pre6
- pre7 on DEVEL breaks applications and doesn't build with llh 2.6.23
- epoch 1
- rel 1

Revision 1.13  2007-08-04 08:05:06  qboosh
- fixed shellglob

Revision 1.12  2007/08/02 21:03:05  twittner
- fix %files
- rel. 3

Revision 1.11  2007/02/20 19:30:09  arekm
- rel .2

Revision 1.10  2007/02/13 06:46:51  glen
- tabs in preamble

Revision 1.9  2007/02/12 00:49:03  baggins
- converted to UTF-8

Revision 1.8  2006/12/26 17:43:06  qboosh
- updated to 1.0-pre6, removed obsolete no_root patch and .pc file

Revision 1.7  2006/10/31 08:19:36  pluto
- install fixed.

Revision 1.6  2006/10/31 08:10:58  pluto
- build fixed.

Revision 1.5  2006/04/05 16:47:28  qboosh
- removed outdated if_ether patch

Revision 1.4  2006/04/03 19:01:20  aredridel
- add pkgconfig file

Revision 1.3  2006/04/03 18:47:40  aredridel
- up to 1.0-pre5

Revision 1.2  2005/06/20 21:17:35  qboosh
- cosmetics, BR: ac,am

Revision 1.1  2005/06/19 08:08:13  undefine
- initial
